---
- name: Install packages
  hosts: localhost
  connection: local
  become: false
  vars:
    uid: "{{ lookup('env','USER') }}"
  tasks:
    - name: Install apt packages
      become: true
      ansible.builtin.apt:
        autoclean: true
        autoremove: true
        install_recommends: true
        pkg:
          - ansible
          - cargo
          - composer
          - curl
          - dia
          - fcitx5
          - foot
          - git
          - grimshot
          - hiera-eyaml
          - inkscape
          - isort
          - libreoffice
          - lxpolkit
          - mesa-utils
          - mesa-utils-bin
          - network-manager-gnome
          - network-manager-config-connectivity-debian
          - nextcloud-desktop
          - nodejs
          - npm
          - pass
          - pavucontrol
          - pipewire-audio
          - pipx
          - plocate
          - pkexec
          - puppet-lint
          - python3-deepdiff
          - python3-openstackclient
          - python3-yamlfix
          - qt5ct
          - rsync
          - scdaemon
          - simple-scan
          - sway
          - sway-backgrounds
          - sway-notification-center
          - swayidle
          - swaylock
          - thunar
          - thunderbird
          - tsocks
          - unzip
          - waybar
          - wdisplays
          - wget
          - wl-clipboard
          - wlr-randr
          - wofi
          - xdg-desktop-portal
          - xdg-desktop-portal-wlr
          - xwayland
          - yapf3
          - yq
          - zathura
          - zsh
        state: latest
        update_cache: true
    - name: Remove apt packages
      become: true
      ansible.builtin.apt:
        autoclean: true
        autoremove: true
        install_recommends: true
        pkg: [nano]
        state: absent
        update_cache: true
